<?php
/**
 * The template for displaying Search Results pages.
 *
 * @package SKT Pathway
 */

get_header(); ?>

<div class="content-area">
    <div class="container">
        <section class="site-main" id="sitemain">
            <div class="blog-post">
				<?php if ( have_posts() ) : ?>
                    <header>
                        <h1 class="entry-title"><?php printf( __( 'Search Results for: %s', 'skt-pathway' ), '<span>' . get_search_query() . '</span>' ); ?></h1>
                    </header>
                    <?php while ( have_posts() ) : the_post(); ?>
                        <?php get_template_part( 'content', 'search' ); ?>
                    <?php endwhile; ?>
                    <?php 
					// Previous/next post navigation.
					the_posts_pagination( array(
					'mid_size' => 2,
					'prev_text' => __( 'Back', 'skt-pathway' ),
					'next_text' => __( 'Next', 'skt-pathway' ),
					) );
					?>
                <?php else : ?>
                    <?php get_template_part( 'no-results', 'search' ); ?>
                <?php endif; ?>
            </div><!-- blog-post -->
        </section>
        <?php get_sidebar();?>
        <div class="clear"></div>
    </div>
</div>

<?php get_footer(); ?>